Module jdk.compiler
Package com.sun.source.tree

# Interface SwitchExpressionTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    @Deprecated(forRemoval=true,
                since="12")
    public interface SwitchExpressionTree
    extends ExpressionTree

Deprecated, for removal: This API element is subject to removal in a future version.
This method is modeling switch expressions, which are part of a preview feature and may be removed if the preview feature is removed.
A tree node for a `switch` expression. For example:

       switch ( expression ) {
         cases
       }

See Java Language Specification:
  15.29 Switch Expressions
Since:
  12

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`List<? extends CaseTree>` | `getCases()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the cases for the `switch` expression.
`ExpressionTree` | `getExpression()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the expression for the `switch` expression.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getExpression

ExpressionTree getExpression()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the expression for the `switch` expression.

Returns:
  the expression

### getCases

List<? extends CaseTree> getCases()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the cases for the `switch` expression.

Returns:
  the cases